PGMTORLE(1)

NAME
pgmtorle - convert a pbmplus/pgm image file into an RLE image file.

SYNOPSIS
pgmtorle [ -h ] [ -v ] [ -a ] [ -o outfile ] [ filename ]

DESCRIPTION
This program converts PBMPLUS grayscale (pgm) image files into Utah RLE(5) image files. PBMPLUS/pgm image files contain the image dimensions and 8-bit pixels with no matte or alpha data. When converting to an RLE file, the alpha channel may optionally be computed. The RLE file will contain a "grayscale" image (8 bits) with no colormap. The origins of PBMPLUS and Utah RLE files are in the upper left and lower left corners respectively, so this program automatically "flips" the image. These RLE files may then be viewed using any RLE image viewer.

OPTIONS

-v  This option will cause pgmtorle to operate in verbose mode. The header information is written to "stderr". Actually, there is not much header information stored in a PBMPLUS file so this information is minimal.

-h  This option allows the header of the PBMPLUS image to be dumped to "stderr" without converting the file. It is equivalent to using the -v option except that no file conversion takes place.

-a  This option will cause pgmtorle to use the grayscale data to compute an alpha channel in the resulting RLE file. For any non-zero grayscale data, the alpha channel will contain a value of 255. The resulting RLE image file will contain one color channel and one alpha channel.

-o outfile
    If specified, the output will be written to this file. If outfile is "-", or if it is not specified, the output will be written to the standard output stream.

infile.pgm
    The name of the PBMPLUS image data file to be converted. This file must end in ".pgm". However, it is not necessary to supply the ".pgm" extension as it will be added to the supplied name if not already there.

EXAMPLES

pgmtorle -v test.pgm -o test.rle
    While running in verbose mode, convert test.pgm to RLE format and store resulting data in test.rle.

pgmtorle -h test
    Dump the header information of the PBMPLUS file called test.pgm.

SEE ALSO
ppmtorle(1), rletoppm(1), urt(1), RLE(5).

AUTHOR
Wesley C. Barris
Army High Performance Computing Research Center (AHPCRC)
Minnesota Supercomputer Center, Inc.